|  | Home | Documentation | saml2__AuthzDecisionStatementType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml2__AuthzDecisionStatementType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AuthzDecisionStatementType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__AuthzDecisionStatementType:
[legend]

## Public Attributes

$ int | __sizeAction
| INHERITED FROM saml2__StatementAbstractType:
struct saml2__ActionType * | saml2__Action
| Array struct saml2__ActionType* of size 1..unbounded.
struct saml2__EvidenceType * | saml2__Evidence
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Evidence.
char * | Resource
| Attribute "Resource" of type xs:anyURI.
enum saml2__DecisionType | Decision
| Attribute "Decision" of type "urn:oasis:names:tc:SAML:2.0:assertion":DecisionType.

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AuthzDecisionStatementType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType.

Note
  struct saml2__AuthzDecisionStatementType operations:
  - saml2__AuthzDecisionStatementType* soap_new_saml2__AuthzDecisionStatementType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__AuthzDecisionStatementType(struct soap*, saml2__AuthzDecisionStatementType*) default initialize members
  - int soap_read_saml2__AuthzDecisionStatementType(struct soap*, saml2__AuthzDecisionStatementType*) deserialize from a source
  - int soap_write_saml2__AuthzDecisionStatementType(struct soap*, saml2__AuthzDecisionStatementType*) serialize to a sink
  - saml2__AuthzDecisionStatementType* soap_dup_saml2__AuthzDecisionStatementType(struct soap*, saml2__AuthzDecisionStatementType* dst, saml2__AuthzDecisionStatementType <em>src) returns deep copy of saml2__AuthzDecisionStatementType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__AuthzDecisionStatementType(saml2__AuthzDecisionStatementType
  ) deep deletes saml2__AuthzDecisionStatementType data members, use only on dst after soap_dup_saml2__AuthzDecisionStatementType(NULL, saml2__AuthzDecisionStatementType *dst, saml2__AuthzDecisionStatementType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ __sizeAction

$ int saml2__AuthzDecisionStatementType::__sizeAction

INHERITED FROM saml2__StatementAbstractType:

Size of the dynamic array of values of type struct saml2__ActionType* is 1..unbounded.

## ◆ Decision

enum saml2__DecisionType saml2__AuthzDecisionStatementType::Decision

Attribute "Decision" of type "urn:oasis:names:tc:SAML:2.0:assertion":DecisionType.

Required attribute.

## ◆ Resource

char* saml2__AuthzDecisionStatementType::Resource

Attribute "Resource" of type xs:anyURI.

Required attribute.

## ◆ saml2__Action

struct saml2__ActionType* saml2__AuthzDecisionStatementType::saml2__Action

Array struct saml2__ActionType* of size 1..unbounded.

Multiple elements.

## ◆ saml2__Evidence

struct saml2__EvidenceType* saml2__AuthzDecisionStatementType::saml2__Evidence

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Evidence.

Optional element.

The documentation for this struct was generated from the following file:

- saml2.h